
## Tabby.js
![demoGif](https://user-images.githubusercontent.com/3347296/130115149-37bfed5a-2ee9-4b4f-aa45-2f0cb643e1b9.gif)

An easy-to-use js library to add tabby cats to your site. Simply include the js library and hit [Tab + b] to add some cats to any page!

[Live Demo](https://rohanlikhite.com/projects/tabby/)

## How to use Tabby.js

#### CDN

Tabby.js built files are available through [jsDelivr](https://www.jsdelivr.com/package/npm/tabby-dot-js?path=dist)

```
  https://cdn.jsdelivr.net/npm/tabby-dot-js/dist/tabby.js
```

#### Browser

```html
<script src="https://cdn.jsdelivr.net/npm/tabby-dot-js/dist/tabby.js"></script>
<script>
    Tabby.start()
</script>
```

You can also pass in an array of images if you'd like to override the defaults.

```html
<script>  
  Tabby.start([
    "https://website.com/image1.png",
    "https://website.com/image2.png",
    "https://website.com/image3.png"
  ])
</script>
```

## Development

#### Clone the repo
`git clone https://github.com/imRohan/tabbyjs.git && cd tabbyjs`

#### Install Dependencies

`yarn`

#### Build using Rollup

`yarn run build` or `yarn run autobuild` (to watch for changes)

#### Open Example HTML page

Open `example/index.html` in the browser of your choice


## MIT License


Copyright (c) 2021 Rohan Likhite

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
